package com.logicbig.example;

import org.fluttercode.datafactory.impl.DefaultNameDataValues;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@ViewScoped
public class ExampleBean {
    private String inputName;

    public List<String> nameSuggestions(String enteredValue) {
        List<String> matches = new ArrayList<>();
        //using data factory for getting suggestions
        for (String s : new DefaultNameDataValues().getFirstNames()) {
            if (s.toLowerCase().startsWith(enteredValue.toLowerCase())) {
                matches.add(s);
            }
        }
        return matches;
    }

    public String getInputName() {
        return inputName;
    }

    public void setInputName(String inputName) {
        System.out.println(inputName);
        this.inputName = inputName;
    }
}